# Enum ScaleType

java.lang.Object
java.lang.Enum<ScaleType>
com.codename1.camera.ScaleType

All Implemented Interfaces:
  `Comparable<ScaleType>`

public enum ScaleType extends Enum<ScaleType>
How the live preview from a `CameraView` is fitted inside its component bounds.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CROP`
  Scale uniformly to fill the bounds, cropping the edges as needed.
  `FILL`
  Scale non-uniformly to fill the bounds (preview may be stretched).
  `FIT`
  Scale uniformly so the entire preview is visible, letterboxing if needed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ScaleType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ScaleType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIT

    public static final ScaleType FIT
    Scale uniformly so the entire preview is visible, letterboxing if needed.

  - ### FILL

    public static final ScaleType FILL
    Scale non-uniformly to fill the bounds (preview may be stretched).

  - ### CROP

    public static final ScaleType CROP
    Scale uniformly to fill the bounds, cropping the edges as needed. This is what most camera apps do.

- ## Method Details

  - ### values

    public static ScaleType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ScaleType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null